﻿




@model IEnumerable<Schedule.Application.ViewModel.CentroCustoViewModel>

<head>
    <link rel="stylesheet" href="@Url.ContentVersioned("~/css/site.css")" />
    <link href="~/lib/jqueryui/jquery-ui.css" rel="stylesheet" />
    <link href="~/lib/bootstrap-multiselect/bootstrap-multiselect.css" rel="stylesheet" />
    <script src="~/lib/bootstrap-multiselect/bootstrap-multiselect.js"></script>
    <script src="https://cdn.datatables.net/plug-ins/1.10.12/sorting/date-eu.js"></script>



</head>
<div class="row">

    <div class="col-lg-12">
        <div class="card shadow mb-4" id="resultado">
            <div class="card-header py-3">

                <a asp-action="Novo" class="btn btn-success"> + Novo</a>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-lg-12">
        <div class="card shadow mb-4">
            <div class="card-header py-3">
                <h4 class="m-0 font-weight-bold text-primary">
                    Lista de Centro de  Custo
                </h4>
            </div>
            <div class="card-body">
                <table id="tbListaCentroCusto" class="table  table-bordered tabelaListaSchedule">
                    <thead>
                        <tr>
                            <th>
                                Empresa
                            </th>
                            <th>
                                @ScheduleResorce.RetornaValor("LabelDescricao")
                            </th>
                            <th>
                                Taxa
                            </th>
                            <th>

                                Cliente
                            </th>
                            <th>
                                Responsável

                            </th>
                            <th>
                                Tipo C.Custo

                            </th>
                            <th>
                                Dt. Início

                            </th>
                            <th>
                                Dt. Final Contrato

                            </th>
                            <th>
                               Status
                            </th>
                            <th>
                                @ScheduleResorce.RetornaValor("LabelUsuario")
                            </th>
                            <th>
                                @ScheduleResorce.RetornaValor("LabelDataModificacao")
                            </th>
                            <th>Ações</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach (var item in Model)
                        {
                        <tr>
                            <td>
                                @Html.DisplayFor(modelItem => item.EmpresaNome)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.Nome)
                            </td>
                            <td data-order="@Formatacao.FormataMilhar(item.Taxa).ToString()">
                                <b>R$: </b> @Formatacao.FormataMilhar(item.Taxa)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.ClienteNome)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.ResponsavelNome)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.TipoCentroCustoNome)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.DataInicioContrato)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.DataFinalContrato)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.StatusDescricao)
                            </td>

                            <td>
                                @Html.DisplayFor(modelItem => item.Usuario)
                            </td>
                            <td data-order="@item.OrdemData.ToString()">
                                @Html.DisplayFor(modelItem => item.DataAlteracao)
                            </td>
                            <td class="tdAcao">
                                <a asp-action="Editar" class="btn btn-success" asp-route-id="@item.id">Editar</a>
                                <button data-id="@item.id" data-codigo="@item.Nome" class="delete btn btn-xs btn-danger">Excluir</button>
                            </td>
                        </tr>
                        }
                    </tbody>
                </table>
                <div class="modal" id="Modal" tabindex="-1" role="dialog">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title">Confirmação</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                Deseja Excluir o Registro : <span class="nome"></span>
                            </div>
                            <div class="modal-footer">
                                <a href="#" type="button" class="btn btn-danger delete-yes">Deletar</a>

                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Fechar</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="~/lib/Mask/jquery.mask.min.js"></script>
<script type="text/javascript" src="@Url.ContentVersioned("~/Scripts/CentroCusto.js")"></script>








